<section class='panel' data-ng-controller="OrdersController" data-ng-init="findOne()">
    <div class='loading-container' ng-show="!order">
        Loading...
    </div>
    <div class='screen-container' ng-hide="!order">
        <header class="panel-heading higher-panel-heading">
            Order for <a href="{{order.url | prependHttp}}" target="_blank">{{order.url | cut:true:55:' ...'}}</a>
            <span data-ng-show="global.hasRole('admin')">
                <a class="btn" data-ng-click="remove();">
                    <i class="glyphicon glyphicon-trash"></i>
                </a>
            </span>
            <div class="pull-right">Total Price: {{getOrderPrice() | numeral:'$0,0.00'}}</div>
            <span class='pull-right order-status order-status-progress' ng-if="order.paid && !order.provider && !order.completed && !order.cancelled"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order is queued to be processed by Rantic. Keep an eye on this page to receive the updated status for your order.Due to a large volume of orders received and processed by Rantic, orders may remain in queue for several hours. If you believe that your order is taking too long, please contact support.">In
                Progress</span>
            <span class='pull-right order-status order-status-completed' ng-if="order.paid && order.completed && !order.cancelled && order.verified"
                popover-trigger="mouseenter" popover-placement="bottom" popover="This order has been delivered.">Completed</span>
            <span class='pull-right order-status order-status-verifying' ng-if="order.paid && order.completed && !order.cancelled && !order.verified"
                popover-trigger="mouseenter" popover-placement="bottom" popover="This order has been marked as completed by the vendor but needs to be verified by our administrators.">Verifying</span>
            <span class='pull-right order-status order-status-progress' ng-if="order.paid && order.provider && !order.completed && !order.cancelled"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order is being processed by Rantic. We will notify you upon completion!">In
                Progress</span>
            <span class='pull-right order-status order-status-cancelled' ng-if="order.paid && order.cancelled"
                popover-trigger="mouseenter" popover-placement="bottom" popover="Your order has been cancelled. Stated reason: {{order.reason}}">Cancelled</span>
            <span class='pull-right order-status order-status-verifying' ng-if="!order.paid && order.checkout"
                popover-trigger="mouseenter" popover-placement="bottom" popover="A payment process was initiated for this order that is awaiting authorization">Authorizing
                Payment</span>
            <span class='pull-right order-status order-status-cancelled' ng-if="!order.paid && !order.checkout"
                popover-trigger="mouseenter" popover-placement="bottom" popover="The customer has abandoned the checkout process">Abandoned
                Checkout</span>
        </header>
        <div class="panel-body order-details-panel">
            <h3 class='order-summary'><strong>{{order.orderCount | numeral}}</strong> units of the '<strong>{{order.service.label}}</strong>'
                service at a price of <strong>{{getOrderServicePrice() | numeral:'$0,0.00'}}</strong> per <strong>{{order.service.multiplier
                    | numeral}}</strong> units</h3>
            <h3 class='order-summary' ng-show="order.discount.percent">{{order.discount.percent | numeral:'%0,0.00'}}
                off</h3>
            <h3 class='order-summary' ng-show="order.discount.price">{{order.discount.price | numeral:'$0,0.00'}} off</h3>
            <h3 class='order-summary' ng-show="global.hasRole('admin')">Email: {{order.user.email}}</h3>
            <h3 class='order-summary' ng-show="countriesToString()">Countries: {{countriesToString()}}</h3>
            <h3 class='order-summary order-status-cancelled' ng-show="order.cancelled">This order has been cancelled.
                Stated reason: {{order.reason}}</h3>
            <div class='place-cancelled-order' ng-show="order.cancelled && global.hasRole('customer')">
                If the issue causing the cancellation has been resolved by you, or if you believe this was a mistake,
                <a ui-sref='create order'>click here to place a new order</a>.
            </div>
            <div class='counts-container' ng-hide="isTrafficService()">
                <div class='col-md-6 count-column'>
                    <div class='count' ng-hide="!order.beforeCount">{{order.beforeCount | numeral}}</div>
                    <div class='count no-count' ng-show="!order.beforeCount" popover-trigger="mouseenter"
                        popover-placement="top" popover="If the order was placed less than a few hours ago, the count might take a while to appear.">Unavailable</div>
                    <span>Initial Count</span>
                </div>
                <div class='col-md-6 count-column'>
                    <div class='count' ng-hide="!order.afterCount">{{order.afterCount | numeral}}</div>
                    <div class='count no-count' ng-show="!order.afterCount" popover-trigger="mouseenter"
                        popover-placement="top" popover="If the order was placed less than a few hours ago, the count might take a while to appear.">Unavailable</div>
                    <span>Latest Count</span>
                </div>
                <br class='clear'>
            </div>
            <div class='counts-container' ng-show="isTrafficService()">
                <center>Counts are not available for this service. To see the progress of the order, please use Google
                    Analytics on your resource.</center>
            </div>
        </div>
        <div class='panel-body order-actions-panel'>
            <div class='order-actions-container-left pull-left' ng-show="global.hasRole('admin') || global.hasRole('provider')">
                <button class='btn btn-danger btn-action-delete' ng-hide="!global.hasRole('admin')" data-ng-click="remove();">Delete
                    Order</button>
                <button class='btn btn-warning btn-action-cancel' ng-hide="order.cancelled || order.completed"
                    data-ng-click="cancel();">Cancel Order</button>
                <button class='btn btn-warning btn-action-cancel' ng-hide="order.cancelled || order.completed"
                    data-ng-click="cancel();">Edit Order</button>
                <button class='btn btn-warning btn-action-cancel' ng-hide="order.cancelled || order.completed"
                    data-ng-click="cancel();">Create new Order</button>
            </div>
            <div class='order-actions-container-right pull-right' ng-show="global.hasRole('admin') || global.hasRole('provider')">
                <button class='btn btn-danger btn-action-cancel' ng-show="order.paid && !order.cancelled && order.completed && !order.verified && global.hasRole('admin')"
                    data-ng-click="unapprove();">Unapprove Order</button>
                <button class='btn btn-success btn-action-complete' ng-show="order.paid && !order.cancelled && order.completed && !order.verified && global.hasRole('admin')"
                    data-ng-click="approve();">Approve Order</button>
                <button class='btn btn-success btn-action-complete' ng-hide="!order.paid || order.cancelled || order.completed || (!order.provider && global.hasRole('provider'))"
                    data-ng-click="complete();">Complete Order</button>
                <button class='btn btn-action btn-action-claim' ng-hide="!order.paid || order.provider || global.hasRole('admin')"
                    data-ng-click="claim();">Claim Order</button>
            </div>
        </div>
        <div class="panel-body">
            <h2>Order Messages</h2>
            <p ng-if="!order.comments">You can get in touch with Rantic staff by posting a message directly on this
                order. We will get back to you shortly.</p>
            <div class='comments'>
                <div class='single-comment' ng-repeat="comment in order.comments">
                    <h4>{{comment.user.name}}<span>{{comment.date | date:'yyyy-MM-dd HH:mm'}}</span></h4>
                    <span ng-bind-html="getCommentHtml(comment.text)"></span>
                </div>
            </div>
            <div class='new-comment'>
                <form method="post">
                    <textarea ng-model="newComment" id="commentEditor" redactor="{buttons: ['formatting', '|', 'bold', 'italic']}"
                        cols="30" rows="10" />
                    <div class='new-comment-buttons'>
                        <button class='btn btn-action pull-right' ng-click="sendMessage()">Send Message</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>